Loading...
Searching...
No Matches
fastjet::BasicRandom< _Tp > Class Template Reference

More...

`#include <fastjet/internal/BasicRandom.hh>`

Inheritance diagram for fastjet::BasicRandom< _Tp >:
[legend]

## Public Types

typedef _Tp | value_type
typedef unsigned int | size_type
typedef value_type * | pointer

## Public Member Functions

value_type | operator() ()
void | operator() (size_type, pointer)
void | randomize (void *)
void | print_info (std::ostream &__os=std::cout)

## Static Public Member Functions

static value_type | min ()
static value_type | max ()

## Detailed Description

template<typename _Tp>
class fastjet::BasicRandom< _Tp >

Definition at line 49 of file BasicRandom.hh.

## Member Typedef Documentation

## value_type

template<typename _Tp>

typedef _Tp fastjet::BasicRandom< _Tp >::value_type

Definition at line 51 of file BasicRandom.hh.

## size_type

template<typename _Tp>

typedef unsigned int fastjet::BasicRandom< _Tp >::size_type

Definition at line 52 of file BasicRandom.hh.

## pointer

template<typename _Tp>

typedef value_type* fastjet::BasicRandom< _Tp >::pointer

Definition at line 53 of file BasicRandom.hh.

The documentation for this class was generated from the following file:

- include/fastjet/internal/BasicRandom.hh